Welcome! Log In Create A New Profile

Advanced

nginx-1.20.1-2 now requires openssl11-libs to run (centos7)?

Saber@PlanetHoster.info
July 06, 2021 03:58PM
Hi,

We are using nginx from the official nginx.org http://nginx.org/ yum repos for centos7.

nginx-1.20.1-1.el7.ngx.x86_64 —> is running fine
nginx-1.20.1-2.el7.ngx.x86_64 —> complains about libssl.so.1.1

"nginx: /usr/sbin/nginx: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory”


Installed openssl11-libs from epel7 and it’s now ok.

Since when openssl11 is required to run nginx on centos 7? Is it a normal behaviour or a bug?

Thanks,
Saber
CTO @PlanetHoster_______________________________________________
nginx mailing list
nginx@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx
Subject Author Posted

nginx-1.20.1-2 now requires openssl11-libs to run (centos7)?

Saber@PlanetHoster.info July 06, 2021 03:58PM

Re: nginx-1.20.1-2 now requires openssl11-libs to run (centos7)?

Konstantin Pavlov July 07, 2021 04:46AM

Re: nginx-1.20.1-2 now requires openssl11-libs to run (centos7)?

Saber@PlanetHoster.info July 07, 2021 02:32PM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 58
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready